Subject: Re: [bug#32947] [PATCH 1/3] gnu: Add java-cup.

From: Danny Milosavljevic <[email-masked]>
Date: Fri, 5 Oct 2018 18:00:48 +0200

Hi Julien,

On Fri, 05 Oct 2018 17:28:51 +0200
Julien Lepiller <[email-masked]> wrote:

> Le 2018-10-05 17:20, Danny Milosavljevic a écrit :
> > * gnu/packages/java.scm (java-cup): New variable.
> > ---
> >  gnu/packages/java.scm | 44 +++++++++++++++++++++++++++++++++++++++++++
> >  1 file changed, 44 insertions(+)
> > 
> > diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
> > index 96da495c2..4ddffb357 100644
> > --- a/gnu/packages/java.scm
> > +++ b/gnu/packages/java.scm
> > @@ -69,6 +69,7 @@
> >    #:use-module (gnu packages perl)
> >    #:use-module (gnu packages popt)
> >    #:use-module (gnu packages kerberos)
> > +  #:use-module (gnu packages version-control)
> >    #:use-module (gnu packages xml)
> >    #:use-module (gnu packages xorg)
> >    #:use-module (gnu packages texinfo)
> > @@ -9634,6 +9635,49 @@ Candidate Recommendation, and will correctly
> > serialize XML 1.1 documents if
> >  the DOM level 3 load/save API's are in use.")
> >      (license license:asl2.0)))
> > 
> > +(define-public java-cup
> > +  (package
> > +    (name "java-cupx")  
> 
> Why x?

Leftover from testing.  Dunno how they always slip though :)

> Maybe that should be a snippet?

Often I had problems that the entire "unpack" phase suddenly unpacked
nothing when I tried to do that in a snippet.  I'll try it with this package.

> I don't know if that's an issue, but the source code bundles generated 
> source by java-cup and jflex. I've tried to bootstrap both correctly, 
> but there is no version of jflex you can build without jflex and cup.

Oops, that's pretty bad.

>I have a recipe for java-jflex and java-cup that are built without 
> pre-generated source, using two bootstrap jars. Then, I could use them 
> to build other packages that I need for the future maven-build-system. I 
> wasn't able to build java-jflex with the latest java-cup.
> Do you want me to send these recipes for comparison?

Yes, please.

If we could get maven to work that would be cool.  I've packaged batik and
it's not fun to emulate maven manually...

If we can't get maven to work, a recursive guix importer that reads the
pom.xml would be a great improvement instead.

I can help with both.